Debian Bug report logs - #595609
unblock: mailgraph/1.14-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sun, 5 Sep 2010 11:15:07 UTC

Severity: normal

Tags: moreinfo

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, julien@kirya.net, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 05 Sep 2010 11:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to julien@kirya.net, Debian Release Team <debian-release@lists.debian.org>. (Sun, 05 Sep 2010 11:15:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: mailgraph/1.14-3
Date: Sun, 05 Sep 2010 13:12:18 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

Please unblock package mailgraph

testing has 1.14-1. It should indeed have 1.14-2 as I, as sponsor, am
the one and only culprit for missing the freeze date. I built and
uploaded the package on request of its maintainer, but I did not check
that it properly reached the archive. Then I forgot about all this
until the maintainer pinged me again. I uploaded....but that was just
after the freeze.

1.14-2 was a huge packaging change and cleaning after Julien Valroff
took the package over. I reviewed most of the changes and found them
suitable for release (moreover, I always find that having packaging
that the new maintainer is comfortable with is much better for a
package).

So, though it may fail to the release criteria, particularly as they
ar enow, I'd suggest unblocking this package

1.14-3 just added a few translation updates to 1.14-2

unblock mailgraph/1.14-3

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 05 Sep 2010 11:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 05 Sep 2010 11:51:02 GMT) Full text and rfc822 format available.

Message #10 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Christian Perrier <bubulle@debian.org>, 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 5 Sep 2010 13:48:53 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep  5, 2010 at 13:12:18 +0200, Christian Perrier wrote:

> Please unblock package mailgraph
> 
It looks like this reverts the 1.14-1.3 and 1.14-1.4 NMUs?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 05 Sep 2010 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 05 Sep 2010 13:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 595609@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Julien Cristau <jcristau@debian.org>, 595609@bugs.debian.org
Cc: Julien Valroff <julien@kirya.net>
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 5 Sep 2010 15:13:10 +0200
[Message part 1 (text/plain, inline)]
Quoting Julien Cristau (jcristau@debian.org):
> On Sun, Sep  5, 2010 at 13:12:18 +0200, Christian Perrier wrote:
> 
> > Please unblock package mailgraph
> > 
> It looks like this reverts the 1.14-1.3 and 1.14-1.4 NMUs?

That's correct, nice catch...

:-(

Julien (Valroff), would you mind preparing a new version of the mailgraph
package that would include diffs for these NMU which I did before you
took the package over?

Julien (Cristau), what if Julien V. does this? Would the package be OK
for an unblock?

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 05 Sep 2010 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to julien@kirya.net:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 05 Sep 2010 15:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Christian PERRIER <bubulle@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 5 Sep 2010 17:42:53 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 05 sept. 2010 à 15:13:10 (+0200), Christian PERRIER a écrit :
> Date: Sun, 5 Sep 2010 15:13:10 +0200
> From: Christian PERRIER <bubulle@debian.org>
> To: Julien Cristau <jcristau@debian.org>, 595609@bugs.debian.org
> Cc: Julien Valroff <julien@kirya.net>
> Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
> 
> Quoting Julien Cristau (jcristau@debian.org):
> > On Sun, Sep  5, 2010 at 13:12:18 +0200, Christian Perrier wrote:
> > 
> > > Please unblock package mailgraph
> > > 
> > It looks like this reverts the 1.14-1.3 and 1.14-1.4 NMUs?
> 
> That's correct, nice catch...
> 
> :-(

My bad! I was working on this package for some time and haven't noticed these
NMU's - I guess I had forgotten to subscribe to the package on the PTS.
 
> Julien (Valroff), would you mind preparing a new version of the mailgraph
> package that would include diffs for these NMU which I did before you
> took the package over?

Do you mind explaining what you expect from me exactly?
I had already applied some of the fixes introduced in your patches (but not
all).
I think the best is to make a new 1.14-4 package, including all the changes
which weren't already applied and which are still applicable (I see for
example a German translation which has been updated since then).
Do you agree with this or is there a common procedure in such case?

> Julien (Cristau), what if Julien V. does this? Would the package be OK
> for an unblock?

I also have made further changes since then, including i10n, but also
fixing a potential RC bug (the postinst script currently modifies a conffile).
Here is the current changelog:
  * Recommend apache2 instead of apache
  * Add the CSS directly into the CGI script (Closes: #513527)
  * Update debconf templates translations:
    + de - thanks to Martin Eberhard Schauer (Closes: #593570)
    + it - thanks to Luca Monducci (Closes: #593719)
  * Add versioned pre-dependency on debconf
  * Use ucf to deal with conffile (thanks to Matthijs Möhlmann)

Maybe the fix for #513527 is not suitable for unblock, what do you think?
I can revert it if needed.

Cheers,
Julien

-- 
Julien Valroff <julien@kirya.net>
http://www.kirya.net
GPG key: 1024D/9F71D449
17F4 93D8 746F F011 B845  9F91 210B F2AB 9F71 D449
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 05 Sep 2010 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 05 Sep 2010 16:57:03 GMT) Full text and rfc822 format available.

Message #25 received at 595609@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: julien@kirya.net, 595609@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 5 Sep 2010 18:53:28 +0200
[Message part 1 (text/plain, inline)]
Quoting Julien Valroff (julien@kirya.net):

> Do you mind explaining what you expect from me exactly?
> I had already applied some of the fixes introduced in your patches (but not
> all).
> I think the best is to make a new 1.14-4 package, including all the changes
> which weren't already applied and which are still applicable (I see for
> example a German translation which has been updated since then).
> Do you agree with this or is there a common procedure in such case?

Whatever way you do it, the point is getting back the changes I did in
my two NMUs..:-). They are mostly translation updates.

> > Julien (Cristau), what if Julien V. does this? Would the package be OK
> > for an unblock?
> 
> I also have made further changes since then, including i10n, but also
> fixing a potential RC bug (the postinst script currently modifies a conffile).
> Here is the current changelog:
>   * Recommend apache2 instead of apache
>   * Add the CSS directly into the CGI script (Closes: #513527)
>   * Update debconf templates translations:
>     + de - thanks to Martin Eberhard Schauer (Closes: #593570)
>     + it - thanks to Luca Monducci (Closes: #593719)
>   * Add versioned pre-dependency on debconf
>   * Use ucf to deal with conffile (thanks to Matthijs Möhlmann)
> 
> Maybe the fix for #513527 is not suitable for unblock, what do you think?
> I can revert it if needed.

Well, it's better to first have an advice by the release team about
the changes you applied when you took the package over. Most of them
are packaging cleaning, etc. which are theoretically unsuitable for
unblocks (but they were at least prepared and tested before the
freeze...only my slowlyness to apply them has been the cause of these
changes being blocked.


[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 06 Sep 2010 18:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Mon, 06 Sep 2010 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Sep 2010 18:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 595609@bugs.debian.org
Cc: Julien Valroff <julien@kirya.net>
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Mon, 6 Sep 2010 20:23:42 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep  5, 2010 at 15:13:10 +0200, Christian PERRIER wrote:

> Julien (Cristau), what if Julien V. does this? Would the package be OK
> for an unblock?
> 
I'm just going through the changelog, not looking at the actual changes:

+  * Bump debhelper compat to 7

no

+  * Switched from dpatch to quilt

no

+  * Convert to 3.0 (quilt) format

no

+  * Use dh minimal rules

no

+  * Complete rewrite of the postinst script
+    (Closes: #513634, #337923, #283664, #343726)

no

+  * Rewrite of the init script using lsb functions:

no

The rest would depend on the specifics, but basically for anything
that's not necessary to fix an important bug (or
translation/documentation updates) it's too late.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 12 Sep 2010 11:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to julien@kirya.net:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 12 Sep 2010 11:15:05 GMT) Full text and rfc822 format available.

Message #37 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Julien Cristau <jcristau@debian.org>
Cc: Christian PERRIER <bubulle@debian.org>, 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 12 Sep 2010 13:12:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

Le lundi 06 sept. 2010 à 20:23:42 (+0200), Julien Cristau a écrit :
> Date: Mon, 6 Sep 2010 20:23:42 +0200
> From: Julien Cristau <jcristau@debian.org>
> To: Christian PERRIER <bubulle@debian.org>, 595609@bugs.debian.org
> Cc: Julien Valroff <julien@kirya.net>
> Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
> 
> On Sun, Sep  5, 2010 at 15:13:10 +0200, Christian PERRIER wrote:
> 
> > Julien (Cristau), what if Julien V. does this? Would the package be OK
> > for an unblock?
> > 
> I'm just going through the changelog, not looking at the actual changes:
[...] 
> The rest would depend on the specifics, but basically for anything
> that's not necessary to fix an important bug (or
> translation/documentation updates) it's too late.

Then, I propose to integrate latest translation updates to the version 
currently in testing (1.14-1.4), and upload a version to unstable re-
integrating changes made by Christian in his last 2 NMU's.

How should I number the updated 1.14-1.4? Should it be uploaded to
testing-proposed-updates, am I right?

Cheers,
Julien

-- 
Julien Valroff <julien@kirya.net>
http://www.kirya.net
GPG key: 1024D/9F71D449
17F4 93D8 746F F011 B845  9F91 210B F2AB 9F71 D449
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 12 Sep 2010 12:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 12 Sep 2010 12:06:03 GMT) Full text and rfc822 format available.

Message #42 received at 595609@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Julien Valroff <julien@kirya.net>
Cc: Julien Cristau <jcristau@debian.org>, 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 12 Sep 2010 14:04:09 +0200
[Message part 1 (text/plain, inline)]
Quoting Julien Valroff (julien@kirya.net):

> How should I number the updated 1.14-1.4? Should it be uploaded to
> testing-proposed-updates, am I right?

I'd say 1.14-1.4squeeze1 and, yes, upload to t-p-u (let's have
confirmation from Julien Cristau, though)


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 26 Sep 2010 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 12:15:03 GMT) Full text and rfc822 format available.

Message #47 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 595609@bugs.debian.org
Cc: Julien Valroff <julien@kirya.net>
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 26 Sep 2010 14:10:11 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep 12, 2010 at 14:04:09 +0200, Christian PERRIER wrote:

> Quoting Julien Valroff (julien@kirya.net):
> 
> > How should I number the updated 1.14-1.4? Should it be uploaded to
> > testing-proposed-updates, am I right?
> 
> I'd say 1.14-1.4squeeze1 and, yes, upload to t-p-u (let's have
> confirmation from Julien Cristau, though)
> 
Can we see a proposed diff for this, if you still want to update
mailgraph in squeeze?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Fri, 01 Oct 2010 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 01 Oct 2010 11:27:03 GMT) Full text and rfc822 format available.

Message #52 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Julien Cristau <jcristau@debian.org>
Cc: Christian PERRIER <bubulle@debian.org>, 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Fri, 1 Oct 2010 13:22:52 +0200
Hi,

Le dimanche 26 sept. 2010 à 14:10:11 (+0200), Julien Cristau a écrit :
> On Sun, Sep 12, 2010 at 14:04:09 +0200, Christian PERRIER wrote:
> 
> > Quoting Julien Valroff (julien@kirya.net):
> > 
> > > How should I number the updated 1.14-1.4? Should it be uploaded to
> > > testing-proposed-updates, am I right?
> > 
> > I'd say 1.14-1.4squeeze1 and, yes, upload to t-p-u (let's have
> > confirmation from Julien Cristau, though)
> > 
> Can we see a proposed diff for this, if you still want to update
> mailgraph in squeeze?

After checking the situation, I have a new problem: after taking over
mailgraph, I have changed a debconf template, which means all new
translations are not suitable for the old version of the package now in
Squeeeze.

Translations made for this amended template however also contains
improvements of the old translations for some languages.

I must admit I am not sure what to do to fix the situation. Should I ask to
the translators to update their translations for the templates currently in
testing?

Christian, what do you think?
I do not want to make the translators loose their time…

Cheers,
Julien

-- 
Julien Valroff <julien@kirya.net>
http://www.kirya.net
GPG key: 1024D/9F71D449
17F4 93D8 746F F011 B845  9F91 210B F2AB 9F71 D449




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sat, 02 Oct 2010 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 02 Oct 2010 07:45:03 GMT) Full text and rfc822 format available.

Message #57 received at 595609@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Julien Valroff <julien@kirya.net>, 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sat, 2 Oct 2010 09:35:34 +0200
[Message part 1 (text/plain, inline)]
Quoting Julien Valroff (julien@kirya.net):

> I must admit I am not sure what to do to fix the situation. Should I ask to
> the translators to update their translations for the templates currently in
> testing?

You certainly can, yes. You can use podebconf-report-po and adapt the
message to explain translators that, even though their translations
are complete in unstable, your need is to update them in testing.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sat, 02 Oct 2010 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 02 Oct 2010 08:06:03 GMT) Full text and rfc822 format available.

Message #62 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Christian PERRIER <bubulle@debian.org>
Cc: 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sat, 2 Oct 2010 10:04:33 +0200
[Message part 1 (text/plain, inline)]
Le samedi 02 oct. 2010 à 09:35:34 (+0200), Christian PERRIER a écrit :
> Quoting Julien Valroff (julien@kirya.net):
> 
> > I must admit I am not sure what to do to fix the situation. Should I ask to
> > the translators to update their translations for the templates currently in
> > testing?
> 
> You certainly can, yes. You can use podebconf-report-po and adapt the
> message to explain translators that, even though their translations
> are complete in unstable, your need is to update them in testing.

OK, will do this today so that I can have their updated translations ready
ASAP.

Cheers,
Julien


-- 
Julien Valroff <julien@kirya.net>
http://www.kirya.net
GPG key: 1024D/9F71D449
17F4 93D8 746F F011 B845  9F91 210B F2AB 9F71 D449
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 17 Oct 2010 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Oct 2010 07:39:03 GMT) Full text and rfc822 format available.

Message #67 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Christian PERRIER <bubulle@debian.org>
Cc: 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 17 Oct 2010 09:27:10 +0200
[Message part 1 (text/plain, inline)]
Hi,

Le samedi 02 oct. 2010 à 09:35:34 (+0200), Christian PERRIER a écrit :
> Quoting Julien Valroff (julien@kirya.net):
> 
> > I must admit I am not sure what to do to fix the situation. Should I ask to
> > the translators to update their translations for the templates currently in
> > testing?
> 
> You certainly can, yes. You can use podebconf-report-po and adapt the
> message to explain translators that, even though their translations
> are complete in unstable, your need is to update them in testing.

I have received no answer to my call for translation.
The current state is however good: all languages are fully translated except
fi.po for which I have contacted the last translator without answer.

I hence think this bug can be closed, do you agree?

Cheers,
Julien

-- 
Julien Valroff <julien@kirya.net>
http://www.kirya.net
GPG key: 1024D/9F71D449
17F4 93D8 746F F011 B845  9F91 210B F2AB 9F71 D449
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 17 Oct 2010 16:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Oct 2010 16:15:06 GMT) Full text and rfc822 format available.

Message #72 received at 595609@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Julien Valroff <julien@kirya.net>
Cc: 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 17 Oct 2010 18:14:23 +0200
[Message part 1 (text/plain, inline)]
Quoting Julien Valroff (julien@kirya.net):
> Hi,
> 
> Le samedi 02 oct. 2010 à 09:35:34 (+0200), Christian PERRIER a écrit :
> > Quoting Julien Valroff (julien@kirya.net):
> > 
> > > I must admit I am not sure what to do to fix the situation. Should I ask to
> > > the translators to update their translations for the templates currently in
> > > testing?
> > 
> > You certainly can, yes. You can use podebconf-report-po and adapt the
> > message to explain translators that, even though their translations
> > are complete in unstable, your need is to update them in testing.
> 
> I have received no answer to my call for translation.

Ah, that happens. Let me see if my 7 languages that are target for
100% are there....

In unstable, we have incomplete Russian and Swedish.

Are they complete in testing?


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sun, 17 Oct 2010 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Oct 2010 16:27:04 GMT) Full text and rfc822 format available.

Message #77 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Christian PERRIER <bubulle@debian.org>
Cc: 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sun, 17 Oct 2010 18:24:41 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 17 oct. 2010 à 18:14:23 (+0200), Christian PERRIER a écrit :
> Quoting Julien Valroff (julien@kirya.net):
> > Hi,
> > 
> > Le samedi 02 oct. 2010 à 09:35:34 (+0200), Christian PERRIER a écrit :
> > > Quoting Julien Valroff (julien@kirya.net):
> > > 
> > > > I must admit I am not sure what to do to fix the situation. Should I ask to
> > > > the translators to update their translations for the templates currently in
> > > > testing?
> > > 
> > > You certainly can, yes. You can use podebconf-report-po and adapt the
> > > message to explain translators that, even though their translations
> > > are complete in unstable, your need is to update them in testing.
> > 
> > I have received no answer to my call for translation.
> 
> Ah, that happens. Let me see if my 7 languages that are target for
> 100% are there....
> 
> In unstable, we have incomplete Russian and Swedish.

I'll upload immediately the updated package following to your translation
update call.

> Are they complete in testing?

Yes, only Finnish is incomplete in testing, though other languages might need
some polishing.

here are the complete stats:
cs.po
    7 translated messages.
da.po
    7 translated messages.
de.po
    7 translated messages.
es.po
    7 translated messages.
eu.po
    7 translated messages.
fi.po
    5 translated messages, 1 fuzzy translation, 1 untranslated message.
fr.po
    7 translated messages.
gl.po
    7 translated messages.
it.po
    7 translated messages.
ja.po
    7 translated messages.
nb.po
    7 translated messages.
nl.po
    7 translated messages.
pt.po
    7 translated messages.
pt_BR.po
    7 translated messages.
ru.po
    7 translated messages.
sk.po
    7 translated messages.
sv.po
    7 translated messages.
vi.po
    7 translated messages.

Cheers,
Julien

-- 
Julien Valroff <julien@kirya.net>
http://www.kirya.net
GPG key: 1024D/9F71D449
17F4 93D8 746F F011 B845  9F91 210B F2AB 9F71 D449
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Sat, 23 Oct 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 23 Oct 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #82 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Julien Cristau <jcristau@debian.org>
Cc: Christian PERRIER <bubulle@debian.org>, 595609@bugs.debian.org
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Sat, 23 Oct 2010 14:17:52 +0200
[Message part 1 (text/plain, inline)]
Hi,

Le dimanche 26 sept. 2010 à 14:10:11 (+0200), Julien Cristau a écrit :
> On Sun, Sep 12, 2010 at 14:04:09 +0200, Christian PERRIER wrote:
> 
> > Quoting Julien Valroff (julien@kirya.net):
> > 
> > > How should I number the updated 1.14-1.4? Should it be uploaded to
> > > testing-proposed-updates, am I right?
> > 
> > I'd say 1.14-1.4squeeze1 and, yes, upload to t-p-u (let's have
> > confirmation from Julien Cristau, though)
> > 
> Can we see a proposed diff for this, if you still want to update
> mailgraph in squeeze?

I attach a diff to update the Finnish Debconf translation. I have also
changed the maintainer field to myself (I have taken over the package).

diffstat output:
 changelog |    7 +++++++
 control   |    2 +-
 po/fi.po  |   21 +++++++--------------
 3 files changed, 15 insertions(+), 15 deletions(-)

Is it ok to upload it to t-p-u?
If so, am I allowed to do it as a DM (the DM-Upload-Allowed field is set in
the version currently in sid, but not in testing).

Cheers,
Julien

-- 
Julien Valroff <julien@kirya.net>
http://www.kirya.net
GPG key: 1024D/9F71D449
17F4 93D8 746F F011 B845  9F91 210B F2AB 9F71 D449
[mailgraph_dsc.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Mon, 01 Nov 2010 18:30:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Nov 2010 18:30:40 GMT) Full text and rfc822 format available.

Message #87 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Julien Valroff <julien@kirya.net>, 595609@bugs.debian.org
Cc: Christian PERRIER <bubulle@debian.org>
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Mon, 1 Nov 2010 19:30:16 +0100
[Message part 1 (text/plain, inline)]
On Sat, Oct 23, 2010 at 14:17:52 +0200, Julien Valroff wrote:

> I attach a diff to update the Finnish Debconf translation. I have also
> changed the maintainer field to myself (I have taken over the package).
> 
> diffstat output:
>  changelog |    7 +++++++
>  control   |    2 +-
>  po/fi.po  |   21 +++++++--------------
>  3 files changed, 15 insertions(+), 15 deletions(-)
> 
> Is it ok to upload it to t-p-u?

Yes.

> If so, am I allowed to do it as a DM (the DM-Upload-Allowed field is set in
> the version currently in sid, but not in testing).
> 
Dunno, try it and see?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Valroff <julien@kirya.net>:
You have taken responsibility. (Mon, 01 Nov 2010 19:03:07 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Mon, 01 Nov 2010 19:03:07 GMT) Full text and rfc822 format available.

Message #92 received at 595609-close@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: 595609-close@bugs.debian.org
Subject: Bug#595609: fixed in mailgraph 1.14-1.4squeeze1
Date: Mon, 01 Nov 2010 19:02:07 +0000
Source: mailgraph
Source-Version: 1.14-1.4squeeze1

We believe that the bug you reported is fixed in the latest version of
mailgraph, which is due to be installed in the Debian FTP archive:

mailgraph_1.14-1.4squeeze1.diff.gz
  to main/m/mailgraph/mailgraph_1.14-1.4squeeze1.diff.gz
mailgraph_1.14-1.4squeeze1.dsc
  to main/m/mailgraph/mailgraph_1.14-1.4squeeze1.dsc
mailgraph_1.14-1.4squeeze1_all.deb
  to main/m/mailgraph/mailgraph_1.14-1.4squeeze1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595609@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Valroff <julien@kirya.net> (supplier of updated mailgraph package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Oct 2010 14:11:22 +0200
Source: mailgraph
Binary: mailgraph
Architecture: source all
Version: 1.14-1.4squeeze1
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Julien Valroff <julien@kirya.net>
Changed-By: Julien Valroff <julien@kirya.net>
Description: 
 mailgraph  - Mail statistics RRDtool frontend for Postfix
Closes: 595609
Changes: 
 mailgraph (1.14-1.4squeeze1) testing-proposed-updates; urgency=low
 .
   * Change maintainer field to myself
   * Update Finnish Debconf translation (Esko Arajärvi) (Closes: #595609)
Checksums-Sha1: 
 890ae39d24a479d24cbcd1ad71b0f09b4bb09be6 1013 mailgraph_1.14-1.4squeeze1.dsc
 403a5ced65af6d93f4ae3249a17a72657f200b68 17844 mailgraph_1.14-1.4squeeze1.diff.gz
 365af6f2194da677a9b9b8ad43fc18b17455b1da 29696 mailgraph_1.14-1.4squeeze1_all.deb
Checksums-Sha256: 
 940cfca6535085b9a4a4310ec21498401bc148b5ef1066f10601795607f4e925 1013 mailgraph_1.14-1.4squeeze1.dsc
 9518867a741174ac68117dd5c9db87f6e7491614f69e0678644d81e34ec2486c 17844 mailgraph_1.14-1.4squeeze1.diff.gz
 18ddba61f4f09350901d0c438ede36da845b382835897c7836923260dc835e10 29696 mailgraph_1.14-1.4squeeze1_all.deb
Files: 
 03dfaac9b8bbc33afe7f4f981c12c97f 1013 admin extra mailgraph_1.14-1.4squeeze1.dsc
 dfd414b4e3c6a7ee3b1cf74ce5c30aaa 17844 admin extra mailgraph_1.14-1.4squeeze1.diff.gz
 b819e9cddecf156e4cc8b6e72812f220 29696 admin extra mailgraph_1.14-1.4squeeze1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzPDP8ACgkQIQvyq59x1ElM3QCfX1wwg9IuosFOFwpQleo4w9t3
AaUAoIBpHZp4JlFvBfSn3RXJUvrktHMR
=Z2P3
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Mon, 01 Nov 2010 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Nov 2010 19:09:03 GMT) Full text and rfc822 format available.

Message #97 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 595609@bugs.debian.org, Christian PERRIER <bubulle@debian.org>
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Mon, 1 Nov 2010 20:05:52 +0100
[Message part 1 (text/plain, inline)]
Le lundi 01 nov. 2010 à 19:30:16 (+0100), Julien Cristau a écrit :
> On Sat, Oct 23, 2010 at 14:17:52 +0200, Julien Valroff wrote:
> 
> > I attach a diff to update the Finnish Debconf translation. I have also
> > changed the maintainer field to myself (I have taken over the package).
> > 
> > diffstat output:
> >  changelog |    7 +++++++
> >  control   |    2 +-
> >  po/fi.po  |   21 +++++++--------------
> >  3 files changed, 15 insertions(+), 15 deletions(-)
> > 
> > Is it ok to upload it to t-p-u?
> 
> Yes.

Thanks.
 
> > If so, am I allowed to do it as a DM (the DM-Upload-Allowed field is set in
> > the version currently in sid, but not in testing).
> > 
> Dunno, try it and see?

The upoad was just accepted.
As it is an arch=all package, I guess you can already approve the upload?

Cheers,
Julien

-- 
Julien Valroff <julien@kirya.net>
http://www.kirya.net
GPG key: 4096R/258E26B1
E1D8 5796 8214 4687 E416  948C 859F EF67 258E 26B1
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions mailgraph/1.14-1.4squeeze1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Nov 2010 19:12:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 01 Nov 2010 19:15:06 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Mon, 01 Nov 2010 19:15:06 GMT) Full text and rfc822 format available.

Message #104 received at 595609-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Julien Valroff <julien@kirya.net>
Cc: 595609-done@bugs.debian.org, Christian PERRIER <bubulle@debian.org>
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Mon, 1 Nov 2010 20:13:31 +0100
[Message part 1 (text/plain, inline)]
On Mon, Nov  1, 2010 at 20:05:52 +0100, Julien Valroff wrote:

> Le lundi 01 nov. 2010 à 19:30:16 (+0100), Julien Cristau a écrit :
> > On Sat, Oct 23, 2010 at 14:17:52 +0200, Julien Valroff wrote:
> > 
> > > I attach a diff to update the Finnish Debconf translation. I have also
> > > changed the maintainer field to myself (I have taken over the package).
> > > 
> > > diffstat output:
> > >  changelog |    7 +++++++
> > >  control   |    2 +-
> > >  po/fi.po  |   21 +++++++--------------
> > >  3 files changed, 15 insertions(+), 15 deletions(-)
> > > 
> > > Is it ok to upload it to t-p-u?
> > 
> > Yes.
> 
> Thanks.
>  
> > > If so, am I allowed to do it as a DM (the DM-Upload-Allowed field is set in
> > > the version currently in sid, but not in testing).
> > > 
> > Dunno, try it and see?
> 
> The upoad was just accepted.
> As it is an arch=all package, I guess you can already approve the upload?
> 
Approved.  The changelog closes the wrong bug though.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#595609; Package release.debian.org. (Mon, 01 Nov 2010 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Nov 2010 19:33:02 GMT) Full text and rfc822 format available.

Message #109 received at 595609@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 595609@bugs.debian.org, Christian PERRIER <bubulle@debian.org>
Subject: Re: Bug#595609: unblock: mailgraph/1.14-3
Date: Mon, 1 Nov 2010 20:30:55 +0100
[Message part 1 (text/plain, inline)]
Le lundi 01 nov. 2010 à 20:13:31 (+0100), Julien Cristau a écrit :
> On Mon, Nov  1, 2010 at 20:05:52 +0100, Julien Valroff wrote:
> 
> > Le lundi 01 nov. 2010 à 19:30:16 (+0100), Julien Cristau a écrit :
> > > On Sat, Oct 23, 2010 at 14:17:52 +0200, Julien Valroff wrote:
> > > 
> > > > I attach a diff to update the Finnish Debconf translation. I have also
> > > > changed the maintainer field to myself (I have taken over the package).
> > > > 
> > > > diffstat output:
> > > >  changelog |    7 +++++++
> > > >  control   |    2 +-
> > > >  po/fi.po  |   21 +++++++--------------
> > > >  3 files changed, 15 insertions(+), 15 deletions(-)
> > > > 
> > > > Is it ok to upload it to t-p-u?
> > > 
> > > Yes.
> > 
> > Thanks.
> >  
> > > > If so, am I allowed to do it as a DM (the DM-Upload-Allowed field is set in
> > > > the version currently in sid, but not in testing).
> > > > 
> > > Dunno, try it and see?
> > 
> > The upoad was just accepted.
> > As it is an arch=all package, I guess you can already approve the upload?
> > 
> Approved.

Many thanks.

> The changelog closes the wrong bug though.

The translation update was sent in private, no bug needs to be closed,
As this upload cancels the need to unblock mailgraph, I have closed the
original unblock request in the changelog.

Cheers,
Julien

-- 
Julien Valroff <julien@kirya.net>
http://www.kirya.net
GPG key: 4096R/258E26B1
E1D8 5796 8214 4687 E416  948C 859F EF67 258E 26B1
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Nov 2010 07:31:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:38:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.